> ## Documentation Index
> Fetch the complete documentation index at: https://modem.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get topic persons

> Get unique persons participating in a topic, based on message authors linked via PersonIdentity



## OpenAPI

````yaml /api-reference/openapi.json get /topics/{topicId}/people
openapi: 3.1.1
info:
  description: >-
    The public Modem API. Authenticate with an organization API key:
    `Authorization: Bearer modem_…`.
  title: Modem API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.modem.dev/v1
security:
  - bearerAuth: []
paths:
  /topics/{topicId}/people:
    get:
      tags:
        - Topics
        - People
      summary: Get topic persons
      description: >-
        Get unique persons participating in a topic, based on message authors
        linked via PersonIdentity
      operationId: topics.getTopicPersons
      parameters:
        - in: path
          name: topicId
          required: true
          schema:
            anyOf:
              - format: uuid
                type: string
              - format: uuid
                type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      properties:
                        avatarUrl:
                          anyOf:
                            - type: string
                            - type: 'null'
                        company:
                          anyOf:
                            - properties:
                                domain:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                id:
                                  type: string
                                logoUrl:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                name:
                                  type: string
                              required:
                                - domain
                                - id
                                - logoUrl
                                - name
                              type: object
                            - type: 'null'
                        displayName:
                          type: string
                        id:
                          type: string
                        identities:
                          items:
                            properties:
                              platform:
                                type: string
                              platformId:
                                type: string
                            required:
                              - platform
                              - platformId
                            type: object
                          type: array
                        isBot:
                          type: boolean
                        isVip:
                          type: boolean
                        messageCount:
                          type: number
                        sources:
                          items:
                            type: string
                          type: array
                        title:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - avatarUrl
                        - company
                        - displayName
                        - id
                        - identities
                        - isBot
                        - isVip
                        - messageCount
                        - sources
                        - title
                      type: object
                    type: array
                required:
                  - data
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid request (validation failed).
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid API key.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The API key does not have access to this resource.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The requested resource was not found.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Rate limit exceeded.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Error:
      properties:
        code:
          description: Machine-readable error code, e.g. `NOT_FOUND`.
          examples:
            - NOT_FOUND
          type: string
        data:
          description: Optional structured error details.
        defined:
          description: True if the error was declared in the procedure contract.
          type: boolean
        message:
          description: Human-readable error message.
          type: string
        status:
          description: HTTP status code.
          examples:
            - 404
          type: integer
      required:
        - code
        - defined
        - message
        - status
      type: object
  securitySchemes:
    bearerAuth:
      description: Organization API key (`modem_…`).
      scheme: bearer
      type: http

````